package tp2.ColorPicker;

import javax.swing.*;
import java.awt.*;

public class Main {

    public static void main(String[] args) {
        JFrame win = new JFrame();
        BoxLayout mainLayout = new BoxLayout(win.getContentPane(), BoxLayout.X_AXIS);
        win.setLayout(mainLayout);

        JPanel leftPan = new JPanel();
        BoxLayout leftPanLayout = new BoxLayout(leftPan, BoxLayout.Y_AXIS);
        leftPan.setLayout(leftPanLayout);

        win.add(leftPan);

        for (int i = 0; i < 3; i++) {
            JPanel row = new JPanel();
            JSlider slider = new JSlider();
            JTextField field = new JTextField(3);
            row.add(slider);
            row.add(field);
            leftPan.add(row);
        }

        JPanel rightPane = new JPanel();
        BoxLayout rightPaneLayout = new BoxLayout(rightPane, BoxLayout.Y_AXIS);
        rightPane.setLayout(rightPaneLayout);

        JTextField hexaColor = new JTextField();
        rightPane.add(hexaColor);

        JPanel color = new JPanel();
        color.setBackground(Color.RED);
        rightPane.add(color);

        win.add(rightPane);

        win.setLocationRelativeTo(null);
        win.setResizable(false);
        win.pack();

        win.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        win.setVisible(true);
    }
}
